> ## Documentation Index
> Fetch the complete documentation index at: https://developers.oneform.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook



## OpenAPI

````yaml POST /webhooks
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://app.oneform.one/api/v1
security:
  - bearer_auth: []
paths:
  /webhooks:
    post:
      tags:
        - Webhooks
      summary: Create webhook
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                form_id:
                  type: string
                  example: form_123
                  description: Form ID
                name:
                  type: string
                  example: My Webhook
                  nullable: true
                url:
                  type: string
                  example: https://example.com/webhook
                signing_secret:
                  type: string
                  example: secret_key
                  nullable: true
                subscriber:
                  type: string
                  nullable: true
                  description: Subscriber type
              required:
                - form_id
                - url
      responses:
        '201':
          description: webhook created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
        '404':
          description: form not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Form not found
        '422':
          description: unprocessable entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Error creating webhook
      security:
        - bearer_auth: []
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          example: webhook_123
        name:
          type: string
          example: My Webhook
        form_id:
          type: string
          example: form_123
        url:
          type: string
          example: https://example.com/webhook
        signing_secret:
          type: string
          example: secret_key
          nullable: true
        enabled:
          type: boolean
          example: true
        subscriber:
          type: string
          example: n8n
          nullable: true
        created_at:
          type: string
          format: date-time
          example: '2024-01-01T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          example: '2024-01-02T12:00:00Z'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: Enter your API key

````